"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = buildMediaQuery;
function buildMediaQuery(screens) {
    if (typeof screens === 'string') {
        screens = {
            min: screens
        };
    }
    if (!Array.isArray(screens)) {
        screens = [
            screens
        ];
    }
    return screens.map((screen)=>{
        var ref;
        if (screen === null || screen === void 0 ? void 0 : (ref = screen.hasOwnProperty) === null || ref === void 0 ? void 0 : ref.call(screen, 'raw')) {
            return screen.raw;
        }
        return Object.entries(screen).map(([feature, value])=>{
            var _feature;
            feature = (_feature = ({
                min: 'min-width',
                max: 'max-width'
            })[feature]) !== null && _feature !== void 0 ? _feature : feature;
            return `(${feature}: ${value})`;
        }).join(' and ');
    }).join(', ');
}
